Saltar al contenido
CatálogoProductos

Actualizar precios en lote

Hasta 100 IDs explícitos devuelven un resultado por ítem en el acto; los filtros devuelven una operación.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/products/batch/prices" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "reason": "promotionStart",    "items": [      {        "targetKind": "sku",        "target": "POL-001-AZ-M",        "price": 79,        "compareAtPrice": 99      },      {        "targetKind": "sku",        "target": "POL-001-NE-M",        "price": 79,        "compareAtPrice": 99      }    ]  }'
{  "results": [    {      "index": 0,      "id": "7204558912004325377",      "status": "updated",      "errors": []    },    {      "index": 1,      "id": "7204558912004325382",      "status": "updated",      "errors": []    }  ]}